Solved Error starting server on FreeBSD related to MySQL R41-3 [libsdtc++.so.6]

m9onplay

New Member


Messages: 1

And so, hello members of the forum, I came here due to the fact that already in the order of 4 days I just can’t solve one problem, I also contacted those. support of their hosting, they also tried to do something, but they also failed.

Actually, the problem is that I transferred the entire server to new versions of plug-ins, as well as MySQL, I installed version R41-3, everything works on chic and glitter on Windows, and of course I installed static version of Linux on Linux, server on FreeBSD, the mysql error itself began to crash, here are the logs:


----------
Loaded log file: "server_log.txt".
----------

SA-MP Dedicated Server
----------------------
v0.3.7-R2, (C)2005-2015 SA-MP Team

[23:06:05]
[23:06:05] Server Plugins
[23:06:05] --------------
[23:06:05] Loading plugin: crashdetect.so
[23:06:05] CrashDetect v4.18.1 is OK.
[23:06:05] Loaded.
[23:06:05] Loading plugin: pawnraknet.so
[23:06:05] Pawn.RakNet plugin v1.2.0 by urShadow loaded
[23:06:05] Loaded.
[23:06:05] Loading plugin: mysql_static.so
[23:06:05] Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by plugins/mysql_static.so))
[23:06:05] Loading plugin: streamer.so
[23:06:05] [debug] Server crashed due to an unknown error

here is this line: Failed (/lib/libstdc++.so.6: version `GLIBCXX_3.4.20 'not found (required by plugins / mysql_static.so)),
having searched the Internet, there are a lot of solutions, well, I did everything that seemed more adequate, I installed gcc-4.9, I mean the very last one,
and now it shows me that there is GLIBCXX_3.4.20, and new libraries were also installed where there is libstdc, though there were two files libstdc ++. so.6 and libstdc ++. so.6.0.20, but libstdc ++. so.6 was a symlink to libstdc ++. so.6.0.20, so I stupidly deleted it and renamed libstdc ++. so.6.0.20 to libstdc ++. so.6, but these libraries were installed at / usr / local / lib / gcc49 / but the server searches in / lib / and I created a symlink in / lib /, it would seem that everything should work, but the error still continues to appear, and now I’m writing to you completely, without reliability, I’m writing here, dear members, help me, because I have absolutely no idea.
If anything, it costs FreeBSD 11.2, and emulation is linux_base-c7, because only two linux_base-c7 and linux_base-c6 are available in the port
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 7,680
Messages: 30,598

GLIBCXX_* refers to the Linux glibc/glibc++ and the one it's looking for is newer than what RH/CentOS 7 provides. Replacing glibc is not to be taken lightly, it's next to impossible to do without breaking everything in the process. Note that the latest RH/CentOS typically lags behind compared to the latest Ubuntu for example.

but the server searches in /lib/ and I created a symlink in /lib/,
This is always a bad idea and never a good solution. Never do things like this, you will break your system, typically some time later when you've forgotten you have done this.
 
Top